Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454588 - Messages could still be sent after being blocked
Summary: Messages could still be sent after being blocked
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: pidgin
Version: 4.7
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 06:00 UTC by Yolkfull Chow
Modified: 2013-04-02 04:22 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:00:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yolkfull Chow 2008-07-09 06:00:14 UTC
Description of problem:
Block a buddy is ineffective and messages can still be sent  although it had
shown "offline" in the conversation's window of counterpart.

Version-Release number of selected component (if applicable):
pidgin-2.3.1-1.el4.3

How reproducible:
Everytime

Steps to Reproduce:
1. use an account,named A (use MSN protocol in this case) to initiate a
conversation with another buddy(named B)
2. let B block the buddy A and close the conversation window(A DONOT close the
window)
3. in conversation window of buddy A, buddy B is showing offline
4. send messages to buddy B
5. messages could still be sent successfully
  
Actual results:
messages could be sent although it has been blocked.

Expected results:
messages should not be sent after itself has been blocked.

Additional info:

Comment 1 RHEL Product and Program Management 2008-10-31 16:45:33 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 2 Warren Togami 2008-11-23 19:16:22 UTC
http://people.redhat.com/wtogami/temp/pidgin/
Please test the latest binaries here and report back.

Comment 3 David Ye 2009-03-25 01:56:13 UTC
It can be reproduced in fedora10,pidgin-2.5.5-1.fc10.x86_64

Comment 5 Jiri Pallich 2012-06-20 16:00:05 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.